import QtQuick 1.1
import qb.components 1.0
import qb.base 1.0;

App {
	id: webcamApp

	property url tileUrl : "WebcamTile.qml";
	property url thumbnailIcon: "drawables/webcam.png";
	property FullWebcamScreen fullWebcamScreen
	property WebcamConfigScreen webcamConfigScreen

	property string webcamImage1Source
	property string webcamImage2Source
	property int webcamImage1Z: 100
	property int webcamImage2Z: 0
	property int pictureCycleCounter: 0
//	property string webcamImageURL1 : "http://192.168.42.8/live/1/jpeg.jpg";
//	property string webcamImageURL1 : "http://69.203.221.199:8000/jpg/image.jpg";
//	property string webcamImageURL1 : "http://61.216.15.197/axis-cgi/jpg/image.cgi?camera=1&resolution=320x240&compression=25";
	property string webcamImageURL1 : "http://91.133.85.170:8090/record/current.jpg"

	QtObject {
		id: p
		property url fullWebcamScreenUrl : "FullWebcamScreen.qml"
		property url webcamConfigScreenUrl : "WebcamConfigScreen.qml"
	}

	function init() {
		registry.registerWidget("tile", tileUrl, this, null, {thumbLabel: qsTr("Webcam"), thumbIcon: thumbnailIcon, thumbCategory: "general", thumbWeight: 30, baseTileWeight: 10, baseTileSolarWeight: 10, thumbIconVAlignment: "center"});
		registry.registerWidget("screen", p.fullWebcamScreenUrl, this, "fullWebcamScreen");
		registry.registerWidget("screen", p.webcamConfigScreenUrl, this, "webcamConfigScreen");
	}
	
	Component.onCompleted: {
		readDefaults();
	}	

	function updateWebcamImage1() {
		switch(pictureCycleCounter) {
		case 0:
			webcamImage2Source = ""
			webcamImage2Source = webcamImageURL1
			pictureCycleCounter = pictureCycleCounter + 1
			break
		case 1:
			webcamImage2Z = 100
			webcamImage1Z = 0
			pictureCycleCounter = pictureCycleCounter + 1
			break
		case 2:
			webcamImage1Source = ""
			webcamImage1Source = webcamImageURL1
			pictureCycleCounter = pictureCycleCounter + 1
			break
		case 3:
			webcamImage1Z = 100
			webcamImage2Z = 0
			pictureCycleCounter = 0
			break
		}
	}

	Timer {
		id: webcamTimer1
		interval: 2000
		triggeredOnStart: true
		running: true
		repeat: true
		onTriggered: updateWebcamImage1()
	}
	
	function readDefaults() {
		var doc1 = new XMLHttpRequest();
		doc1.onreadystatechange = function() {
			if (doc1.readyState == XMLHttpRequest.DONE) {
				if (doc1.responseText.length > 8) {
					webcamImageURL1 = doc1.responseText;
				}
 			}
		}  		
		doc1.open("GET", "file:///HCBv2/qml/apps/webcam/selectedImageURL1.txt", true);
		doc1.send();
	}	
}
